Subject: re: 1.5.7: Problem with tcsh 6.12.00-7 / sed 4.0.8-1
From: Stewart Midwinter <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 13 Feb 2006 15:15:16 -0700

From: Michael Brand <cygwin <at> brand.scso.com>

>I disabled one of the CPUs on my dual-CPU Xeon, and everything started working
well, so I guess this is a dual-cpu problem.

> I tried running my scripts on several dual-CPU Xeons (different
> computer models, but all of them HPs), ... snip ...
> it generally crashes an hour or two later, at the most.

Joining the party a *little* late here ... :-)

I too have a dual-CPU Xeon made by HP and it too has a problem with a
tcsh script hanging when it runs for a long time (it's a polling
script).  We suspect that it might have to do with forking, but are
unable to test that theory at this time.

Apart from disabling the 2nd CPU (which kind of defeats the purpose of
having such a machine!), did you ever find any other solution?

thanks
Stewart

--
Stewart Midwinter
[email-masked]
[email-masked]
Skype, GoogleTalk, iChatAV, MSN, Yahoo: midtoad
AIM:midtoad1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/